<form method="GET">
    <div class="container-fluid">
        <div class="row border border-light rounded mt-1 mb-2">
            <div class="col-6">
                <div>
                    <label for="nodes">Nodes</label>
                    <%  locals.combodata = {id: "nodes", class: "chosen-select", list: nodes, name:"nodes", selected: selectedNodes, placeholder: "Filter by nodes...", attributes :"multiple"} %>
                    <%- include(`${locals.partialsRoot}/combo`) %>
                </div>
                <div>
                    <label for="tags">Tags</label>
                    <%  locals.combodata = {id: "tags", class: "chosen-select", list: tags, name: "tags", selected: selectedTags, placeholder: "Filter by tags...", attributes: "multiple"} %>
                    <%- include(`${locals.partialsRoot}/combo`) %>
                    <div>
                      Combine tags with:
                      <div class="form-check form-check-inline">
                        <input class="form-check-input" type="radio" name="tagsOperator" id="inlineRadio1" value="and"
                        <% if (tagsOperator=='and') { %> checked<% } %>>
                          <label class="form-check-label" for="inlineRadio1">and</label>
                        </div>
                      <div class="form-check form-check-inline">
                        <input class="form-check-input" type="radio" name="tagsOperator" id="inlineRadio2" value="or"
                        <% if (tagsOperator=='or') { %> checked<% } %>>
                          <label class="form-check-label" for="inlineRadio2">or</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-5">
                <div class="row">
                    <div class="col-12">
                        <label class="form-check-label" for="fts">Full text search</label>
                        <input type="text" class="form-control" id="fts" name="fts" value="<%- fts %>" placeholder="Text to search for...(see tooltip for more)"
                            title="You can use the '_' and '%'' special characters with 'LIKE'. If these are not used, fuzzy matching with trigrams
                                            will be performed.">
                    </div>
                </div>
                <div class="row">
                    <div class="col-6">
                        <label class="form-check-label" for="fts">Created</label>
                        <input type="text" class="form-control" id="created_like" name="created_like" value="<%- created_like %>" placeholder="User created substring...">
                    </div>
                    <div class="col-6">
                        <label class="form-check-label" for="fts">Modified</label>
                        <input type="text" class="form-control" id="modified_like" name="modified_like" value="<%- modified_like %>" placeholder="User modified substring...">
                    </div>
                </div>

            </div>
            <div class="col-1">
                <label class="form-check-label" for="no_results">No. results</label>
                <input type="number" class="form-control" id="no_results" name="no_results" min="10" max="10000" step="5" value="<%- no_results %>">
                <label>&nbsp;</label>
                <button id="btnSearch" type="submit" class="form-control btn btn-success btn-outline">Search</button>
            </div>
        </div>
</form>
<% if (qs) { %>
<h4>Found <%-qs.rows && qs.rows.length%>/<%-no_results%> questions in <code><%-elapsedTime%> ms</code> that are ordered by
    <% if (fts) { %> match similarity (desc) <% } else { %> TS modified (desc) <% } %></h4>
    <% if (qs.rows.length == no_results) { %>
    <div class="alert alert-warning">
        There probably are more than <%-no_results%> questions to display. If you want to get more results, increase the No. results value above the search button and try again.
    </div>
    <% } %>
<%  locals.tabledata = qs; %>
<%- include(`${locals.partialsRoot}/table`) %>
<% } %>
